Skip to main content
GET
/
api
/
admin
/
integrations
/
{id}
Get integration details
curl --request GET \
  --url https://{instance}.{env}.on-hellgate.cloud/api/admin/integrations/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "base_url": "http://link:4000",
  "description": "<string>",
  "enabled": true,
  "inserted_at": "2023-11-07T05:31:56Z",
  "name": "Link Production",
  "slug": "link-prod",
  "timeout_ms": 5000,
  "type": "link",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

HS256-signed JWT bearer token, obtained via the OAuth2 client-credentials grant (see Authentication).

Path Parameters

id
string
required

Response

Integration

id
string<uuid>
base_url
string
Example:

"http://link:4000"

description
string | null
enabled
boolean
inserted_at
string<date-time>
name
string
Example:

"Link Production"

slug
string
Example:

"link-prod"

timeout_ms
integer
Example:

5000

type
enum<string>
Available options:
link
updated_at
string<date-time>